"use strict";

var _Object$assign = require("babel-runtime/core-js/object/assign")["default"];

var _interopRequireWildcard = require("babel-runtime/helpers/interop-require-wildcard")["default"];

exports.__esModule = true;

var _generatorsBase = require("./generators/base");

var _base = _interopRequireWildcard(_generatorsBase);

// import * as _jsx from "./generators/jsx";
// import * as _flow from "./generators/flow";
// import * as _modules from "./generators/modules";
// import * as _templateLiterals from "./generators/templateLiterals";
// NOTE: these are only the types with shared syntax. Arrays literals, object
// literals, and possibly regex types will have minor differences
// import * as _types from "./generators/simpleTypes";

var commonPrinterMethods = {
  generate: function generate() {
    this.tokenize();
    var code = this.stringify();

    return {
      code: code,
      tokens: this.tokens,
      map: this.getMap()
    };
  },

  getMap: function getMap() {
    var map = this.map;
    return map ? map.toJSON() : map;
  }
};
exports["default"] = commonPrinterMethods;

// TODO: submit babel bug?
commonPrinterMethods["default"] = commonPrinterMethods;

var _arr = [_base /*, _types*/];
for (var _i = 0; _i < _arr.length; _i++) {
  var generator = _arr[_i];
  _Object$assign(commonPrinterMethods, generator);
}
module.exports = exports["default"];
//# sourceMappingURL=_printer.js.map
