'use strict';

exports.__esModule = true;
exports.File = File;
exports.Program = Program;
exports.Directive = Directive;
exports.DirectiveLiteral = DirectiveLiteral;

function File(node) {
  this.print(node, 'program');
}

function Program(node) {
  this.printStatements(node, 'directives');
  this.printStatements(node, 'body');
}

// this is "use strict"

function Directive(node) {
  this.print(node, 'value');
  this.newline();
}

function DirectiveLiteral(node) {
  // TODO: create adaptor for this
  var raw = node.extra && node.extra.raw || node.raw;
  this.push({ type: "string", value: { value: node.value, raw: raw } });
}
//# sourceMappingURL=base.js.map
